Commit 279b69b8 authored by Krzesimir Nowak's avatar Krzesimir Nowak
Browse files

Update for 3.2.0.

* NEWS: Updated
* README:
* configure.ac: Bumped version and requirements.
parent 412ce33b
3.2.0:
* Wrapped gtk_source_gutter_get_renderer_at_pos()
as Gsv::Gutter::get_renderer_at_pos().
(Krzesimir Nowak)
* Search test does not use deprecated methods.
(Krzesimir Nowak)
3.0.0:
* Markup: changed operator bool() to operator const void*() to avoid
implicit cast to int. (Murray Cumming)
......
C++ wrapper for gtksourceview, version 3.0.0.
C++ wrapper for gtksourceview, version 3.2.0.
Current dependencies:
- to build a library from tarball:
* gtksourceview >= 3.0.0
* gtksourceview >= 3.2.0
* glibmm >= 2.28.0
* gtkmm >= 3.0.0
* gtkmm >= 3.2.0
- to build a documentation:
* same as above and tools required by mm-common, that are:
- perl
......
AC_INIT([gtksourceviewmm], [3.1.0],
AC_INIT([gtksourceviewmm], [3.2.0],
[http://bugzilla.gnome.org/enter_bug.cgi?product=gtksourceviewmm],
[gtksourceviewmm], [http://projects.gnome.org/gtksourceviewmm/])
AC_PREREQ([2.62])
......@@ -26,7 +26,7 @@ AC_SUBST([GTKSOURCEVIEWMM_SO_VERSION], [0:0:0])
LT_INIT([win32-dll disable-static])
AC_PROG_CXX
AC_SUBST([GTKSOURCEVIEWMM_MODULES], ['glibmm-2.4 >= 2.28.0 gtkmm-3.0 >= 3.0.0 gtksourceview-3.0 >= 3.1.4'])
AC_SUBST([GTKSOURCEVIEWMM_MODULES], ['glibmm-2.4 >= 2.28.0 gtkmm-3.0 >= 3.2.0 gtksourceview-3.0 >= 3.2.0'])
PKG_CHECK_MODULES([GTKSOURCEVIEWMM], [$GTKSOURCEVIEWMM_MODULES])
MM_PKG_CONFIG_SUBST([GTHREAD_CFLAGS], [--cflags-only-other gthread-2.0])
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment